Price | Recall Docs
Price
Get price for a token
Get the current price of a specified token
Request
GET/api/price
Headers
Authorization
Authorization Required Bearer
API key provided in the Authorization header using Bearer token authentication
In: header
Query Parameters
tokenRequired string
Token addresschainstring
Blockchain type of the token
Value in: "evm" | "svm"specificChainstring
Specific chain for EVM tokens
Value in: "eth" | "polygon" | "bsc" | "arbitrum" | "optimism" | "avalanche" | "base" | "linea" | "zksync" | "scroll" | "mantle" | "svm"
Example cURL Request
curl -X GET "https://api.competitions.recall.network/api/price?token=So11111111111111111111111111111111111111112&chain=svm&specificChain=eth" \
-H "Authorization: Bearer <token>"
Response
{
"success": true,
"price": 0,
"token": "string",
"chain": "evm",
"specificChain": "string",
"symbol": "string",
"timestamp": "2019-08-24T14:15:22Z"
}